首页 新闻 搜索 专区 学院

sublime下php语法高亮的问题

-1
悬赏园豆:5 [已解决问题] 解决于 2016-05-16 23:56

今天晚上试了3个小时,也没处理好,希望能指点下,也好过自己盲目的尝试。拜谢。

详细问题:

sublime text3 编辑器,对html、css和python都有语法高亮。但对php文件中的<?php ?>中内容没有语法高亮,只有html的语法高亮。

尝试过:

1,下载个package(具体包名忘了,前几天尝试的)来高亮,但出了问题,导致html的语法高亮也没了。所以只能把那个包卸载了。

2,试过用“set syntax ”,但也没有php这个选项。

3,在官网的搜索过对应的php插件,但也没有见到php语法高亮的插件。倒是编程提示类挺多。

  经过这些尝试,浪费了3个小时。实在是够够的了。所以上来提问,希望大神能解答下!

  php打开就像下面的图像那样~

问题补充:

刚刚打开sublime的安装文件夹,见到packages这个文件夹下有很多文件,其中就有“PHP.sublime-package”这个文件。这是php的高亮包吗?和语法高亮、提示有没有关系?

firstfly的主页 firstfly | 初学一级 | 园豆:182
提问于:2016-05-09 00:19
< >
分享
最佳答案
-2

表示直接下载一个sublime text3 中文破解版。很好用。不但着色问题解决了,而且下载的软件也集成了常用的包,比如ement等。相当好用。

可惜了那么多在软件上浪费的时间~感谢那些破解软件的大神们!!!

firstfly | 初学一级 |园豆:182 | 2016-05-13 00:38
其他回答(3)
0

现在高亮的应该是按HTML高亮的。

菜单上有选择语言的。试试改为PHP

codegay | 园豆:1786 (小虾三级) | 2016-05-09 07:46

我试过两种设置语言的方式

1,按ctrl+shift+p,输入set syntax php,但没有这个选项。

2,也试过在文件右下角点击,选择语言。但也没有php的选项。我截了图,您帮我看下:

这是说明sublime没有自带的php高亮文件吗?

我重新下载了一个sublime,重新安装了一下,也解决不了。【哭】

支持(0) 反对(0) firstfly | 园豆:182 (初学一级) | 2016-05-09 08:53

支持(0) 反对(0) firstfly | 园豆:182 (初学一级) | 2016-05-09 08:56

@firstfly: 可能PHP语法包不对。删掉重装。

支持(0) 反对(0) codegay | 园豆:1786 (小虾三级) | 2016-05-09 11:43

@codegay: 语法包怎么重装?我从官网新下载了软件,并重新进行了安装。但还是一样。

支持(0) 反对(0) firstfly | 园豆:182 (初学一级) | 2016-05-09 23:50
-1

换成Sublime Text 2或者VsCode吧

收获园豆:5
浮云也是种寂寞 | 园豆:992 (小虾三级) | 2016-05-09 08:59

sublime text 2 默认支持PHP高亮吗 ?我是直接用的sublime3 ,没用过sublime2 。

支持(0) 反对(0) firstfly | 园豆:182 (初学一级) | 2016-05-09 09:01

@firstfly: 

支持(0) 反对(0) 浮云也是种寂寞 | 园豆:992 (小虾三级) | 2016-05-09 09:20

@浮云也是种寂寞: 嗯。谢谢。

支持(0) 反对(0) firstfly | 园豆:182 (初学一级) | 2016-05-09 09:29
1

好用的文本编辑器太多了,为啥要用这个?何况编写代码为什么不用IDE?

AnonymouL | 园豆:1769 (小虾三级) | 2016-05-13 13:47

用sublime写前端代码非常爽。而我主要是写的是前端的。

支持(0) 反对(0) firstfly | 园豆:182 (初学一级) | 2016-05-16 23:55

@firstfly: Editplus,UE,notepad++....编写前端也支持高亮.

支持(0) 反对(1) AnonymouL | 园豆:1769 (小虾三级) | 2016-05-17 08:43
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册